# TGlobalTreeTransform Class Reference
[Data Structures]

Inheritance diagram for TGlobalTreeTransform:

List of all members.

## Public Member Functions
| TGlobalTreeTransform ()
void | SetLocalTreeTransform (const TTreeTransform &transform)
void | SetParentTransform (const TFatherTransform &transform)
void | Reset ()
const TTreeTransform & | GetLocalTreeTransform () const
TTreeTransform & | GetLocalTreeTransform ()
const TFatherTransform & | GetParentTransform () const
const TFatherTransform & | GetParentInverseTransform () const
const TVector3 & | GetHotPoint () const
TVector3 | GetHotPointInGlobal () const
TVector3 | GetOffset () const
TMatrix33 | GetRotation () const
void | SetHotPoint (const TVector3 &hotPoint)
void | SetHotPointInGlobal (const TVector3 &globalHotPoint)
void | SetOffset (const TVector3 &offset)
void | SetOffsetFromGlobalHotPointPosition (const TVector3 &globalHotPointPosition)
void | SetRotation (const TMatrix33 &rotation, int32 mainAxis=2, boolean keepEulerAngles=false)
void | Translate (const TVector3 &globalVector)
void | TranslateHP (const TVector3 &globalVector)
void | GetTransform3D (TTransform3D &aT) const
void | GetInverseTransform3D (TTransform3D &aT) const
void | GetTreeTransform (TTreeTransform &aT) const
TVector3 | TransformPoint (const TVector3 &point) const
TVector3 | TransformVector (const TVector3 &vector) const
TVector3 | InverseTransformPoint (const TVector3 &point) const
TVector3 | InverseTransformVector (const TVector3 &vector) const
void | GetPlane (TPlane &aplane) const
## Protected Member Functions
void | ValidateParentInverseTransform () const
## Protected Attributes
TTreeTransform | fLocalTransform
TVector3 | fLocalOffset
TFatherTransform | fParentTransform
| the offset to apply in local (see TFatherTransform)
TFatherTransform | fParentInverseTransform
boolean | fIsParentInverseTransformValid

## Constructor & Destructor Documentation

TGlobalTreeTransform::TGlobalTreeTransform | ( |  | ) |

## Member Function Documentation

const TVector3& TGlobalTreeTransform::GetHotPoint | ( |  | ) | const`[inline]`

TVector3 TGlobalTreeTransform::GetHotPointInGlobal | ( |  | ) | const

void TGlobalTreeTransform::GetInverseTransform3D | ( | TTransform3D & | aT | ) | const

TTreeTransform& TGlobalTreeTransform::GetLocalTreeTransform | ( |  | ) | `[inline]`

const TTreeTransform& TGlobalTreeTransform::GetLocalTreeTransform | ( |  | ) | const`[inline]`

Returns the local transform offset by the scaling of the father (ie the one to combine with the father T3D to get the global transform)

TVector3 TGlobalTreeTransform::GetOffset | ( |  | ) | const`[inline]`

const TFatherTransform& TGlobalTreeTransform::GetParentInverseTransform | ( |  | ) | const`[inline]`

const TFatherTransform& TGlobalTreeTransform::GetParentTransform | ( |  | ) | const`[inline]`

void TGlobalTreeTransform::GetPlane | ( | TPlane & | aplane | ) | const

TMatrix33 TGlobalTreeTransform::GetRotation | ( |  | ) | const

void TGlobalTreeTransform::GetTransform3D | ( | TTransform3D & | aT | ) | const

void TGlobalTreeTransform::GetTreeTransform | ( | TTreeTransform & | aT | ) | const

TVector3 TGlobalTreeTransform::InverseTransformPoint | ( | const TVector3 & | point | ) | const`[inline]`

TVector3 TGlobalTreeTransform::InverseTransformVector | ( | const TVector3 & | vector | ) | const`[inline]`

void TGlobalTreeTransform::Reset | ( |  | ) |

void TGlobalTreeTransform::SetHotPoint | ( | const TVector3 & | hotPoint | ) | `[inline]`

void TGlobalTreeTransform::SetHotPointInGlobal | ( | const TVector3 & | globalHotPoint | ) |

void TGlobalTreeTransform::SetLocalTreeTransform | ( | const TTreeTransform & | transform | ) |

void TGlobalTreeTransform::SetOffset | ( | const TVector3 & | offset | ) |

void TGlobalTreeTransform::SetOffsetFromGlobalHotPointPosition | ( | const TVector3 & | globalHotPointPosition | ) |

void TGlobalTreeTransform::SetParentTransform | ( | const TFatherTransform & | transform | ) |

void TGlobalTreeTransform::SetRotation | ( | const TMatrix33 & | rotation,
|  | int32 | mainAxis = `2`,
|  | boolean | keepEulerAngles = `false` |
| ) |  |  |

TVector3 TGlobalTreeTransform::TransformPoint | ( | const TVector3 & | point | ) | const`[inline]`

TVector3 TGlobalTreeTransform::TransformVector | ( | const TVector3 & | vector | ) | const`[inline]`

void TGlobalTreeTransform::Translate | ( | const TVector3 & | globalVector | ) |

void TGlobalTreeTransform::TranslateHP | ( | const TVector3 & | globalVector | ) |

void TGlobalTreeTransform::ValidateParentInverseTransform | ( |  | ) | const`[inline, protected]`

## Member Data Documentation

boolean TGlobalTreeTransform::fIsParentInverseTransformValid`[mutable, protected]`

TVector3 TGlobalTreeTransform::fLocalOffset`[protected]`

TTreeTransform TGlobalTreeTransform::fLocalTransform`[protected]`

TFatherTransform TGlobalTreeTransform::fParentInverseTransform`[mutable, protected]`

TFatherTransform TGlobalTreeTransform::fParentTransform`[protected]`

the offset to apply in local (see TFatherTransform)

The documentation for this class was generated from the following file:

- Transforms.h